@import url('https://fonts.googleapis.com/css2?family=Montserrat+Alternates:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

:root {
    --clr-pink: #ff1493;
    --clr-pink-rgb: 255, 20, 147;
    --clr-pink-light-rgb: 255, 214, 232;
    --clr-pink-light: #ffd6e8;
    --clr-grey-dark: #2e2e2e;
    --clr-grey-light: #f2f2f2;

    --ff-primary: 'Montserrat', sans-serif;
    --ff-secondary: 'Montserrat Alternates', sans-serif;
    --fs-body: clamp(1rem, 0.5vw + 0.9rem, 1.2rem);
    --fs-h1: clamp(1.8rem, 2vw + 1rem, 3.2rem);
    --fs-h2: clamp(1.5rem, 1.5vw + 0.8rem, 2.4rem);

    --sp-xxs: 4px;
    --sp-xs: 8px;
    --sp-s: 16px;
    --sp-m: 24px;
    --sp-l: 32px;
    --sp-xl: 40px;
    --sp-xxl: 48px;

    --sz-xxs: 4px;
    --sz-xs: 8px;
    --sz-s: 16px;
    --sz-m: 24px;
    --sz-l: 32px;
    --sz-xl: 40px;
    --sz-xxl: 48px;

    --clr-primary: var(--clr-pink);
    --clr-secondary: var(--clr-grey-dark);
    --clr-card: var(--clr-grey-light);
    --clr-text: var(--clr-grey-dark);
    --clr-body: #f2f2f2 url('./watercolor_light.png') no-repeat center center fixed;
}

*,
::before,
::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body,
html {
    height: 100svh;
    width: 100svw;
}

body {
    container-type: inline-size;
    container-name: body;
    position: relative;
    display: flex;
    flex-flow: column;
    justify-content: flex-start;
    height: 100%;
    background: var(--clr-body);
    background-size: cover;
    font-family: "Montserrat", sans-serif;
    font-size: var(--fs-body);
    font-weight: 400;
    font-style: normal;
    color: var(--clr-text);
    overflow: hidden;

    h1,
    h2 {
        margin-top: 2.25rem;
        margin-bottom: 1rem;
        font-family: "Montserrat Alternates", sans-serif;
        font-weight: 600;
        line-height: 1.15;
        letter-spacing: -0.022em;
    }

    h1 {
        font-size: clamp(1.8rem, 2vw + 1rem, 3.2rem);
    }

    p {
        margin: 1rem 0;
        line-height: 1.5;
    }

    a {
        color: var(--clr-pink);
        text-decoration: none;
    }

    li {
        list-style-image: url('./element_grey_dark.svg');
        line-height: 2;
    }
}

a:has(#logo) {
    height: 24px;
}

/* CTA */
.cta {
    --opacity: 0.3;
    position: relative;
    display: flex;
    justify-content: center;
    margin: 0 auto;
    padding: .75rem 1.65rem;
    width: clamp(150px, 384px, 100%);
    background-color: var(--clr-primary);
    border: 0 solid var(--clr-grey-light);
    border-radius: var(--sp-s);
    color: var(--clr-text);
    font-size: clamp(1rem, 1.2rem, 1.5rem);
    font-weight: 700;
    line-height: 1.75rem;
    text-align: center;
    cursor: pointer;
    transform: rotate(-1deg);
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;

    &::after {
        content: '';
        position: absolute;
        bottom: 4px;
        left: 4px;
        width: calc(100% - 1px);
        height: calc(100% - 1px);
        border: 1px solid var(--clr-secondary);
        border-radius: var(--sp-s);
    }
}



#logo {
    padding-top: 0.1rem;
    height: 100%;
}

main {
    container-type: inline-size;
    container-name: main;
    display: flex;
    justify-content: center;
    padding: var(--sp-s) var(--sp-m);
    height: 100svh;
}

@container main (width >=1080px) {
    .window-body {
        padding: var(--sp-m) var(--sp-l);
    }
}

.appbar {
    container-type: inline-size;
    container-name: appbar;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 12px 20px;
    background: var(--clr-secondary);
    font-size: 0.8rem;
}

.icon-box {
    display: flex;
    align-items: center;
    gap: 16px;
}

.icon {
    width: clamp(var(--sz-s), var(--sz-m), var(--sz-l));
    aspect-ratio: 1 / 1;
}

@container appbar (width >=1440px) {
    .appbar {
        font-size: max(1.5em, 1.23em);
    }

    .icon-box {
        gap: 16px;
    }

    .icon {
        width: var(--sp-m);
    }
}



.window {
    container-type: inline-size;
    container-name: window;
    --window-background: #2e2e2e40;
    --window-border: 1px solid #f2f2f215;
    --window-border-radius: 1rem;
    --window-shadow: 0 4px 30px #00000020;
    --window-backdrop-blur: 3px;
    --window-backdrop-saturate: 160%;

    display: flex;
    flex-flow: column;
    width: clamp(50%, 512px, 90%);
    height: clamp(50%, 90svh, 90%);
    aspect-ratio: 3 / 4;

    background: var(--window-background);
    backdrop-filter: blur(var(--window-backdrop-blur)) saturate(var(--window-backdrop-saturate));
    --webkit-backdrop-filter: blur(var(--window-backdrop-blur)) saturate(var(--window-backdrop-saturate));

    color: var(--clr-text);
    border: var(--window-border);
    border-radius: var(--window-border-radius);
    box-shadow: var(--window-shadow);
    overflow: hidden;
}

.window-header {
    display: flex;
    justify-content: flex-start;
    gap: 16px;
    padding: 8px 16px;
    background: #ffd6e8;
    color: #2e2e2e;
}

.window-header-actions,
.window-header-title {
    display: flex;
    align-items: center;
}

.window-header-actions {
    gap: 4px;

    img {
        transform: rotate(-15deg);
    }

    .icon {
        width: var(--sz-s);
        aspect-ratio: 1 / 1;
    }
}

.window-header-title {
    position: relative;
    font-size: 0.9rem;
    font-weight: 600;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

.window-body {
    display: flex;
    flex-flow: column;
    gap: 1rem;
    min-height: 0;
    padding: var(--sp-s) var(--sp-m);
    line-height: 120%;
    overflow-y: auto;
    scroll-behavior: smooth;

    .temp {
        max-width: 600px;
        margin: 0 auto;
    }
}

@container window (width < 1080px) {
    .window-header-title::after {
        content: "";
        background: linear-gradient(to right, transparent, #ffd6e8 85%);
        display: block;
        height: calc(1rem * 1.35 + 1px);
        inset-block-end: 0;
        position: absolute;
        right: 0;
        width: 40%;
    }
}

footer {
    display: flex;
    justify-content: center;

    .dock {
        display: flex;
        align-items: center;
        gap: 4px;
        margin-bottom: 8px;
        width: fit-content;
        background: #f2f2f240;
        border-radius: 8px;
        backdrop-filter: blur(3px);

        a {
            display: flex;
            justify-content: center;
            align-items: center;
            padding: 16px;
            width: clamp(50px, 70px, 70px);
            aspect-ratio: 1 / 1;
            /* background: #ff1493; */
            text-decoration: none;
        }
    }
}

.flatterband {
    position: absolute;
    top: -40%;
    left: -20%;
    width: 1200%;
    transform: rotate(-12deg);
    background: repeating-linear-gradient(45deg,
            #ff1493,
            #ff1493 20px,
            #ffd6e8 20px,
            #ffd6e8 40px);
    color: #2e2e2e;
    font-weight: bold;
    font-size: 1.75rem;
    text-align: center;
    padding: 0.5rem;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
    z-index: -1;
}

#cone-1,
#cone-2 {
    position: absolute;
    min-height: clamp(150px, 250px, 300px);
    aspect-ratio: 9/16;
}

#cone-1 {
    bottom: 5px;
    left: 120px;
    transform: rotate(110deg);
    z-index: -1;
}

#cone-2 {
    bottom: 5px;
    left: 30px;
    z-index: -2;
}